Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042249
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2019-11-12 13:132019-12-12 23:01
ReporterjarmendarizView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision354df066b4d2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojarmendariz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042249: Add ESLint rules configuration to support Airbnb javascript guidelines

DescriptionThe goal is to enforce Airbnb's javascript guidelines for all new code from
now on. This requires to add the eslint-airbnb-base and then extend it in a eslintrc.json in the folder where you want to support these rules.
Steps To ReproduceSee above
TagsNo tags attached.
Attached Filesdiff file icon root.diff [^] (55,793 bytes) 2019-11-12 13:17 [Show Content]
diff file icon eslintrcExample.diff [^] (286 bytes) 2019-11-12 13:18 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039983 closedjarmendariz Upgrade javascript linter and formatter 
causes defect 0042274 newplatform Formatting check in hg hooks may be redundant 

-  Notes
(0115571)
hgbot (developer)
2019-11-13 09:58

Repository: erp/devel/pi
Changeset: 354df066b4d200bb550efc8ca0dba3ca453cb964
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Nov 12 18:43:06 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/354df066b4d200bb550efc8ca0dba3ca453cb964 [^]

Fixed issue 42249: Add Airbnb js guidelines to js

Added airbnb-base package in order to be able to use this guideline
on new code. This configuration will be added to every module in the
web/<module.package>/app/ folder, where new js code will be placed.

---
M .eslintrc.json
M package-lock.json
M package.json
A modules/org.openbravo.client.kernel/eslint-airbnb/copy-config
A modules/org.openbravo.client.kernel/eslint-airbnb/eslintrc-airbnb.template
---
(0115572)
jarmendariz (developer)
2019-11-13 09:59

Reviewed + tested
(0115578)
hgbot (developer)
2019-11-13 13:28

Repository: erp/devel/pi
Changeset: 1ab6738db5ee37a5cce6daabb2c4a9dcaebbfe97
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Nov 13 13:28:07 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1ab6738db5ee37a5cce6daabb2c4a9dcaebbfe97 [^]

Related to issue 42249: Missing copyright notice added to file

---
M modules/org.openbravo.client.kernel/eslint-airbnb/copy-config
---
(0116279)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116282)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-11-12 13:13 jarmendariz New Issue
2019-11-12 13:13 jarmendariz Assigned To => migueldejuana
2019-11-12 13:13 jarmendariz Modules => Core
2019-11-12 13:13 jarmendariz Triggers an Emergency Pack => No
2019-11-12 13:13 jarmendariz Relationship added related to 0039983
2019-11-12 13:17 migueldejuana File Added: root.diff
2019-11-12 13:18 migueldejuana File Added: eslintrcExample.diff
2019-11-13 09:56 jarmendariz Review Assigned To => jarmendariz
2019-11-13 09:56 jarmendariz Status new => scheduled
2019-11-13 09:58 hgbot Checkin
2019-11-13 09:58 hgbot Note Added: 0115571
2019-11-13 09:58 hgbot Status scheduled => resolved
2019-11-13 09:58 hgbot Resolution open => fixed
2019-11-13 09:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/354df066b4d200bb550efc8ca0dba3ca453cb964 [^]
2019-11-13 09:59 jarmendariz Note Added: 0115572
2019-11-13 09:59 jarmendariz Status resolved => closed
2019-11-13 09:59 jarmendariz Fixed in Version => 3.0PR20Q1
2019-11-13 13:28 hgbot Checkin
2019-11-13 13:28 hgbot Note Added: 0115578
2019-11-14 09:52 jarmendariz Relationship added causes 0042274
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116279
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116282


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker